com.holonplatform.vaadin.flow.data

## Interface ItemSort<PROPERTY>

- Type Parameters:
    `PROPERTY` - Property type
  All Superinterfaces:
    Serializable

      public interface ItemSort<PROPERTY>
      extends Serializable

  Item sort directive.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <PROPERTY> ItemSort<PROPERTY>` | `asc(PROPERTY property)` Create an ascending `ItemSort` using given property.
    `static <PROPERTY> ItemSort<PROPERTY>` | `desc(PROPERTY property)` Create an descending `ItemSort` using given property.
    `PROPERTY` | `getProperty()` Item property to sort
    `boolean` | `isAscending()` Sort direction
    `static <PROPERTY> ItemSort<PROPERTY>` | `of(PROPERTY property, boolean ascending)` Create an `ItemSort` using given property and sort direction.

- - ### Method Detail

    - #### getProperty

          PROPERTY getProperty()

      Item property to sort
      Returns:
        Item property to sort

    - #### isAscending

          boolean isAscending()

      Sort direction
      Returns:
        `true` if ascending, `false` if descending

    - #### of

          static <PROPERTY> ItemSort<PROPERTY> of(PROPERTY property,
                                                  boolean ascending)

      Create an `ItemSort` using given property and sort direction.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
        `ascending` - `true` to sort ascending, `false` for descending
      Returns:
        Item sort

    - #### asc

          static <PROPERTY> ItemSort<PROPERTY> asc(PROPERTY property)

      Create an ascending `ItemSort` using given property.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
      Returns:
        Item sort

    - #### desc

          static <PROPERTY> ItemSort<PROPERTY> desc(PROPERTY property)

      Create an descending `ItemSort` using given property.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
      Returns:
        Item sort

Copyright © 2020 The Holon Platform. All rights reserved.